version: "3"

services:
#   bdledger:
#    image: bdware/bdledger:dev-210909.874f034d
#    command: "-c /etc/bdledger/config.yml"
#    restart: unless-stopped
#    volumes:
#      - ./bdledger/config.yml:/etc/bdledger/config.yml:ro
#      - ./bdledger/data:/data
#    ports:
#      - "2416:2416" # P2P
#      - "2401:2401" # API
  bdcontract:
    image: bdware/bdcontract:2.0.8
    command: "-Dfile.encoding=UTF-8 -Djava.library.path='./dynamicLibrary' -Dlog4j.configurationFile=./log4j2.properties -cp ./libs/*:bdagent.jar org.bdware.server.CMHttpServer"
    restart: unless-stopped
#    depends_on:
#      - bdledger
    volumes:
      - ./bdcontract/rocksdb:/bdcontract/rocksdb
      - ./bdcontract/ContractDB:/bdcontract/ContractDB
      - ./bdcontract/ContractManagerDB:/bdcontract/ContractManagerDB
      - ./bdcontract/BDWareProjectDir:/bdcontract/BDWareProjectDir
      - ./bdcontract/cmconfig.json:/bdcontract/cmconfig.json:ro
      - ./bdcontract/web/index_datanet.html:/bdcontract/WebContent/ide/index.html:ro
      - ./bdcontract/web/datanet:/bdcontract/WebContent/ide/images/datanet
      #      - ./bdcontract/cp:/bdcontract/cp
      - ./bdcontract/tls:/bdcontract/tls:ro
      - ./bdcontract/manager.key:/bdcontract/manager.key
      - ./bdcontract/manager.keypair:/bdcontract/manager.keypair

    ports:
      - "21000-21100:21000-21100"
      - "1615:1615"
